import Layout from '@/layout'

const businessRouter = {
  path: '/business',
  component: Layout,
  name: 'Business',
  meta: { title: '业务中心', icon: 'el-icon-s-shop' },
  redirect: '/business/outlet/list',
  children: [
    {
      path: 'outlet',
      component: () => import('@/views/business/outlet/index'),
      name: 'BusinessOutlet',
      meta: { title: '门店管理', icon: 'el-icon-s-shop' },
      redirect: '/business/outlet/list',
      children: [
        {
          path: 'list',
          component: () => import('@/views/business/outlet/list/index'),
          name: 'BusinessOutletList',
          meta: { title: '门店列表' }
        }
      ]
    },
    {
      path: 'place',
      component: () => import('@/views/business/place/index'),
      name: 'BusinessPlace',
      meta: { title: '订座管理', icon: 'el-icon-place' },
      redirect: '/business/place/reserve',
      children: [
        {
          path: 'reserve',
          component: () => import('@/views/business/place/reserve/index'),
          name: 'BusinessPlaceReserve',
          meta: { title: '预订' }
        },
        {
          path: 'set',
          component: () => import('@/views/business/place/set/index'),
          name: 'BusinessPlaceSet',
          meta: { title: '未来7天排座' }
        },
        {
          path: 'list',
          component: () => import('@/views/business/place/list/index'),
          name: 'BusinessPlaceList',
          meta: { title: '座位模板' }
        }
      ]
    },
    {
      path: 'show',
      component: () => import('@/views/business/show/index'),
      name: 'BusinessShow',
      meta: { title: '演出管理', icon: 'el-icon-headset' },
      redirect: '/business/show/music',
      children: [
        {
          path: 'pickASong',
          component: () => import('@/views/business/show/pickASong/index'),
          name: 'BusinessShowPickASong',
          meta: { title: '点歌记录' }
        },
        {
          path: 'reward',
          component: () => import('@/views/business/show/reward/index'),
          name: 'BusinessShowReward',
          meta: { title: '赞赏记录' }
        },
        {
          path: 'plan',
          component: () => import('@/views/business/show/plan/index'),
          name: 'BusinessShowPlan',
          meta: { title: '演出安排' }
        },
        {
          path: 'playList',
          component: () => import('@/views/business/show/playList/index'),
          name: 'BusinessShowPlayList',
          meta: { title: '艺人曲库' },
          hidden: true
        },
        {
          path: 'musicLib',
          component: () => import('@/views/business/show/musicLib/index'),
          name: 'BusinessShowMusicLib',
          meta: { title: '曲库管理' }
        }
      ]
    },
    {
      path: 'order',
      component: () => import('@/views/business/order/index'),
      name: 'BusinessOrder',
      meta: { title: '点单管理', icon: 'el-icon-s-order' },
      redirect: '/business/order/list',
      children: [
        {
          path: 'list',
          component: () => import('@/views/business/order/list/index'),
          name: 'BusinessOrderList',
          meta: { title: '订单列表' }
        },
        {
          path: 'goods',
          component: () => import('@/views/business/order/goods/index'),
          name: 'BusinessOrderGoods',
          meta: { title: '橱窗管理' }
        }
      ]
    }
  ]
}

export default businessRouter
